Page MenuHomePhabricator

Nu Html Checker generates warning because of <link rel="copyright">
Closed, ResolvedPublic

Description

https://validator.w3.org/nu/?doc=https%3A%2F%2Fwww.mediawiki.org%2Fwiki%2FSpecial%3ASpecialPages outputs:

Warning: Potentially bad value copyright for attribute rel on element link: The keyword copyright for the rel attribute should not be used. Consider using license instead.

From line 22, column 1; to line 22, column 72

on=rsd"/>↩<link rel="copyright" href="//creativecommons.org/licenses/by-sa/3.0/"/>↩<link

copyright is not in the list of allowed values: https://w3c.github.io/html/single-page.html#allowed-keywords-and-their-meanings Replacement is license.

Details

Related Gerrit Patches:

Event Timeline

Fomafix created this task.Jun 7 2017, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 12:08 PM
Fomafix claimed this task.Jun 7 2017, 12:17 PM

Change 357589 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Use <link rel="license"> instead of <link rel="copyright">

https://gerrit.wikimedia.org/r/357589

This used to be an synonym (alias) in the HTML specification.

https://github.com/whatwg/html/commit/5269f451e6fcfcbd97968c741636947cd7a10741

At some point it has been removed, however we should check actual implementors (e.g. Google Search, Creative Common Search, etc.) to see which ones they support. If they still support copyright (for back-compat) and/or if they haven't yet added support for license, then we should keep using copyright - which works just the same.

Krinkle renamed this task from Nu Html Checker generates warning because of <link rel="copyright" ...> to Nu Html Checker generates warning because of <link rel="copyright">.Jun 10 2017, 3:03 PM
Krinkle triaged this task as Low priority.

After we fix the header in MediaWiki to use rel=license intead of rel=copyright we should also remove the empty fake link from the https://en.wikipedia.org/wiki/MediaWiki:Wikimedia-copyright message on en.wikipedia.org which is currently doing a similar thing. (since this edit)

<a rel="license" href="//creativecommons.org/licenses/by-sa/3.0/" style="display:none;"></a>

I'd like to remove this since it's a link without label that may be confusing to screen readers (pa11y warns about it, T170096).

Change 357589 merged by jenkins-bot:
[mediawiki/core@master] Use <link rel="license"> instead of <link rel="copyright">

https://gerrit.wikimedia.org/r/357589

Krinkle closed this task as Resolved.Jul 11 2017, 4:24 AM
Krinkle removed a project: Patch-For-Review.